Index: general.ent
===================================================================
--- general.ent	(revision 60384c6880c2d67b81093f9a291dc8cc76c30a69)
+++ general.ent	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
@@ -1,8 +1,8 @@
-<!ENTITY version      "cvs-20040612">
-<!ENTITY releasedate  "June 12th, 2004">
-<!ENTITY pubdate      "2004-06-12">       <!-- metadata req. by TLDP -->
+<!ENTITY version      "cvs-20040613">
+<!ENTITY releasedate  "June 13th, 2004">
+<!ENTITY pubdate      "2004-06-13">       <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "cvs">              <!-- cvs|[release #] -->
 <!ENTITY lfs-version  "stable">           <!-- stable|testing|unstable] -->
-<!ENTITY last-commit  "Sun Jun 06 10:08:20 CDT 2004">
+<!ENTITY last-commit  "Sun Jun 13 10:08:20 CDT 2004">
 
 <!ENTITY maintainer-fullname  "Bruce Dubbs">
@@ -17,211 +17,230 @@
 
 
-<!ENTITY blfs-bootscripts-version  "2004-05-22"> 
-<!ENTITY blfs-bootscripts-download "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
-
-<!-- Part II -->
-<!-- Chapter 4 -->
-<!ENTITY cracklib-version          "2.7">   
-<!ENTITY Linux_PAM-version         "0.77">  
-<!ENTITY shadow-version            "4.0.4.1">  
-<!ENTITY iptables-version          "1.2.9"> 
-<!ENTITY gnupg-version             "1.2.4">  
-<!ENTITY tripwire-version          "2.3.1-2">   
-<!ENTITY heimdal-version           "0.6.2">   
-<!ENTITY mitkrb-version            "1.3.3"> 
+<!ENTITY blfs-bootscripts-version     "2004-05-22"> 
+<!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
+                                     
+<!-- Part II -->                     
+<!-- Chapter 4 -->                   
+<!ENTITY cracklib-version             "2.7">   
+<!ENTITY Linux_PAM-version            "0.77">  
+<!ENTITY shadow-version               "4.0.4.1">  
+<!ENTITY iptables-version             "1.2.9"> 
+<!ENTITY gnupg-version                "1.2.4">  
+<!ENTITY tripwire-version             "2.3.1-2">   
+<!ENTITY heimdal-version              "0.6.2">   
+<!ENTITY mitkrb-version               "1.3.3"> 
                                   
 <!-- Chapter 5 -->                
-<!ENTITY reiser-version            "3.6.14"> 
-<!ENTITY xfsprogs-version          "2.6.13">
+<!ENTITY reiser-version               "3.6.14"> 
+<!ENTITY xfsprogs-version             "2.6.13">
                                   
 <!-- Chapter 6 -->                
-<!ENTITY vim-version               "6.2">  
-<!ENTITY emacs-version             "21.3">  
-<!ENTITY nano-version              "1.2.3">  
-<!ENTITY joe-version               "3.0"> 
+<!ENTITY vim-version                  "6.2">  
+<!ENTITY emacs-version                "21.3">  
+<!ENTITY nano-version                 "1.2.3">  
+<!ENTITY joe-version                  "3.0"> 
                                   
 <!-- Chapter 7 -->                
-<!ENTITY ash-version               "0.4.0"> 
-<!ENTITY tcsh-version              "6.13.00">  
-<!ENTITY zsh-version               "4.2.0">        
-                            
-<!-- Part III -->           
-<!-- Chapter 8 -->
-<!ENTITY openssl-version           "0.9.7d">
-<!ENTITY pcre-version              "4.5">
-<!ENTITY popt-version              "1.7">
-<!ENTITY slang-version             "1.4.9">
-<!ENTITY fam-version               "2.7.0">
-<!ENTITY libxml-version            "1.8.17">
-<!ENTITY libxml2-version           "2.6.9">
-<!ENTITY libxslt-version           "1.1.6">
-<!ENTITY readline-version          "4.3">
-<!ENTITY gmp-version               "4.1.3">
-<!ENTITY gdbm-version              "1.8.3">
-<!ENTITY GLib-version              "1.2.10">
-<!ENTITY GLib2-version             "2.4.1">
-<!ENTITY expat-version             "1.95.7">
-<!ENTITY libesmtp-version          "1.0.2">
-<!ENTITY aspell-version            "0.50.5">
-<!ENTITY ispell-version            "3.2.06.epa7">
-<!ENTITY guile-version             "1.6.4">
-<!ENTITY slib-version              "2d6">
-<!ENTITY gwrap-version             "1.3.4">
-<!ENTITY LZO-version               "1.08">
-<!ENTITY libpcap-version           "0.8.3">
-<!ENTITY libusb-version            "0.1.8">
-
-<!-- Chapter 9 -->
-<!ENTITY libjpeg-version           "6b">
-<!ENTITY libpng-version            "1.2.5">
-<!ENTITY libtiff-version           "3.6.1">
-<!ENTITY libungif-version          "4.1.0b1">
-<!ENTITY libmng-version            "1.0.7">
-<!ENTITY lcms-version              "1.12">
-<!ENTITY freetype2-version         "2.1.7">
-<!ENTITY fontconfig-version        "2.2.2">
-<!ENTITY imlib-version             "1.9.14">
-<!ENTITY aalib-version             "1.4rc5">
-<!ENTITY SVGAlib-version           "1.4.3">
-<!ENTITY DirectFB-version          "0.9.20">
-<!ENTITY imlib2-version            "1.1.0">
-                                                                                   
-<!-- Chapter 10 -->
-<!ENTITY bc-version                "1.06">
-<!ENTITY rep-gtk-version           "0.18">
-<!ENTITY compface-version          "1.4">
-<!ENTITY imagemagick-version       "5.5.7">
-<!ENTITY hd2u-version              "0.9.0">
-                                                                                   
-<!-- Chapter 11 -->
-<!ENTITY gpm-version               "1.20.1">
-<!ENTITY fcron-version             "2.9.4">
-<!ENTITY hdparm-version            "5.5">
-<!ENTITY which-version             "2.16">
-<!ENTITY unzip-version             "5.51">
-<!ENTITY zip-version               "2.3">
-<!ENTITY pciutils-version          "2.1.11">
-<!ENTITY pkgconfig-version         "0.15.0">
-<!ENTITY cpio-version              "2.5">
-<!ENTITY mc-version                "4.6.0">
-
-<!-- Chapter 12 -->
-<!ENTITY Python-version            "2.3.3">
-<!ENTITY Gtk-Perl-version          "0.7009">
-<!ENTITY PDL-version               "2.4.0">
-<!ENTITY XML-Parser-version        "2.34">
-<!ENTITY XML-Writer-version        "0.4.1">
-<!ENTITY Astro-FITS-Header-version "2.8.1">
-<!ENTITY Parse-RecDescent-version  "1.94">
-<!ENTITY librep-version            "0.17">
-<!ENTITY j2sdk-bin-version         "1.4.2_03">
-<!ENTITY j2sdk-src-version         "1.4.2">
-<!ENTITY ruby-version              "1.8.1">
-<!ENTITY gcc-version               "3.3.3">
-<!ENTITY tcl-version               "8.4.6">
-<!ENTITY tk-version                "8.4.6">
-<!ENTITY gcc2-version              "2.95.3">
-<!ENTITY NASM-version              "0.98.38">
-                            
-<!-- Part IV -->            
-                            
-<!-- Chapter 13 -->         
-<!ENTITY ppp-version               "2.4.2"> 
-<!ENTITY wvdial-version            "1.53"> 
+<!ENTITY ash-version                  "0.4.0"> 
+<!ENTITY tcsh-version                 "6.13.00">  
+<!ENTITY zsh-version                  "4.2.0">        
+                                     
+<!-- Part III -->                    
+<!-- Chapter 8 -->                   
+<!ENTITY openssl-version              "0.9.7d">
+<!ENTITY pcre-version                 "4.5">
+<!ENTITY popt-version                 "1.7">
+<!ENTITY slang-version                "1.4.9">
+<!ENTITY fam-version                  "2.7.0">
+<!ENTITY libxml-version               "1.8.17">
+<!ENTITY libxml2-version              "2.6.9">
+<!ENTITY libxslt-version              "1.1.6">
+<!ENTITY readline-version             "4.3">
+<!ENTITY gmp-version                  "4.1.3">
+<!ENTITY gdbm-version                 "1.8.3">
+<!ENTITY GLib-version                 "1.2.10">
+<!ENTITY GLib2-version                "2.4.1">
+<!ENTITY expat-version                "1.95.7">
+<!ENTITY libesmtp-version             "1.0.2">
+<!ENTITY aspell-version               "0.50.5">
+<!ENTITY ispell-version               "3.2.06.epa7">
+<!ENTITY guile-version                "1.6.4">
+<!ENTITY slib-version                 "2d6">
+<!ENTITY gwrap-version                "1.3.4">
+<!ENTITY LZO-version                  "1.08">
+<!ENTITY libpcap-version              "0.8.3">
+<!ENTITY libusb-version               "0.1.8">
+                                     
+<!-- Chapter 9 -->                   
+<!ENTITY libjpeg-version              "6b">
+<!ENTITY libpng-version               "1.2.5">
+<!ENTITY libtiff-version              "3.6.1">
+<!ENTITY libungif-version             "4.1.0b1">
+<!ENTITY libmng-version               "1.0.7">
+<!ENTITY lcms-version                 "1.12">
+<!ENTITY freetype2-version            "2.1.7">
+<!ENTITY fontconfig-version           "2.2.2">
+<!ENTITY imlib-version                "1.9.14">
+<!ENTITY aalib-version                "1.4rc5">
+<!ENTITY SVGAlib-version              "1.4.3">
+<!ENTITY DirectFB-version             "0.9.20">
+<!ENTITY imlib2-version               "1.1.0">
+                                                                                      
+<!-- Chapter 10 -->                  
+<!ENTITY bc-version                   "1.06">
+<!ENTITY rep-gtk-version              "0.18">
+<!ENTITY compface-version             "1.4">
+<!ENTITY imagemagick-version          "5.5.7">
+<!ENTITY hd2u-version                 "0.9.0">
+                                                                                      
+<!-- Chapter 11 -->                  
+<!ENTITY gpm-version                  "1.20.1">
+<!ENTITY fcron-version                "2.9.4">
+<!ENTITY hdparm-version               "5.5">
+<!ENTITY which-version                "2.16">
+<!ENTITY unzip-version                "5.51">
+<!ENTITY zip-version                  "2.3">
+<!ENTITY pciutils-version             "2.1.11">
+<!ENTITY pkgconfig-version            "0.15.0">
+<!ENTITY cpio-version                 "2.5">
+<!ENTITY mc-version                   "4.6.0">
+                                     
+<!-- Chapter 12 -->                  
+<!ENTITY Python-version               "2.3.3">
+<!ENTITY Gtk-Perl-version             "0.7009">
+<!ENTITY PDL-version                  "2.4.0">
+<!ENTITY XML-Parser-version           "2.34">
+<!ENTITY XML-Writer-version           "0.4.1">
+<!ENTITY Astro-FITS-Header-version    "2.8.1">
+<!ENTITY Parse-RecDescent-version     "1.94">
+<!ENTITY librep-version               "0.17">
+<!ENTITY j2sdk-bin-version            "1.4.2_03">
+<!ENTITY j2sdk-src-version            "1.4.2">
+<!ENTITY ruby-version                 "1.8.1">
+<!ENTITY gcc-version                  "3.3.3">
+<!ENTITY tcl-version                  "8.4.6">
+<!ENTITY tk-version                   "8.4.6">
+<!ENTITY gcc2-version                 "2.95.3">
+<!ENTITY NASM-version                 "0.98.38">
+                                     
+<!-- Part IV -->                     
+                                     
+<!-- Chapter 13 -->                  
+<!ENTITY ppp-version                  "2.4.2"> 
+<!ENTITY wvdial-version               "1.53"> 
                                   
 <!-- Chapter 14 -->               
-<!ENTITY dhcp-version              "3.0pl2"> 
-<!ENTITY dhcpcd-version            "1.3.22-pl4">   
+<!ENTITY dhcp-version                 "3.0pl2"> 
+<!ENTITY dhcpcd-version               "1.3.22-pl4">   
                                   
 <!-- Chapter 15 -->               
-<!ENTITY pppoe-version             "3.5"> 
+<!ENTITY pppoe-version                "3.5"> 
                                   
 <!-- Chapter 16 -->               
-<!ENTITY curl-version              "7.11.2"> 
-<!ENTITY wvstreams-version         "3.70">  
-<!ENTITY gnet-version              "2.0.5">   
-<!ENTITY libsoup-version           "1.99.28"> 
+<!ENTITY curl-version                 "7.11.2"> 
+<!ENTITY wvstreams-version            "3.70">  
+<!ENTITY gnet-version                 "2.0.5">   
+<!ENTITY libsoup-version              "1.99.28"> 
                                   
 <!-- Chapter 17 -->               
-<!ENTITY Links-version             "2.1pre14">  
-<!ENTITY lynx-version              "2.8.5">
-<!ENTITY w3m-version               "0.4.2"> 
+<!ENTITY Links-version                "2.1pre14">  
+<!ENTITY lynx-version                 "2.8.5">
+<!ENTITY w3m-version                  "0.4.2"> 
                                   
 <!-- Chapter 18 -->               
-<!ENTITY ncftp-version             "3.1.7"> 
-<!ENTITY openssh-version           "3.8.1p1"> 
-<!ENTITY rsync-version             "2.6.2"> 
-<!ENTITY cvs-version               "1.11.16">  
-<!ENTITY wget-version              "1.9.1">  
-<!ENTITY tcpwrappers-version       "7.6">  
-<!ENTITY portmap-version           "5beta">    
-<!ENTITY inetutils-version         "1.4.2">  
-<!ENTITY nfs-utils-version         "1.0.6">   
-<!ENTITY ncpfs-version             "2.2.4"> 
-<!ENTITY ntp-version               "4.2.0">  
+<!ENTITY ncftp-version                "3.1.7"> 
+<!ENTITY openssh-version              "3.8.1p1"> 
+<!ENTITY rsync-version                "2.6.2"> 
+<!ENTITY cvs-version                  "1.11.16">  
+<!ENTITY wget-version                 "1.9.1">  
+<!ENTITY tcpwrappers-version          "7.6">  
+<!ENTITY portmap-version              "5beta">    
+<!ENTITY inetutils-version            "1.4.2">  
+<!ENTITY nfs-utils-version            "1.0.6">   
+<!ENTITY ncpfs-version                "2.2.4"> 
+<!ENTITY ntp-version                  "4.2.0">  
                                   
 <!-- Chapter 19 -->               
-<!ENTITY traceroute-version        "1.4a12"> 
-<!ENTITY nmap-version              "3.50">  
-<!ENTITY whois-version             "4.6.14">
-<!ENTITY bind-version              "9.2.3"> 
+<!ENTITY traceroute-version           "1.4a12"> 
+<!ENTITY nmap-version                 "3.50">  
+<!ENTITY whois-version                "4.6.14">
+<!ENTITY bind-version                 "9.2.3"> 
                                   
 <!-- Chapter 20 -->               
-<!ENTITY nail-version              "10.7"> 
-<!ENTITY procmail-version          "3.22">  
-<!ENTITY fetchmail-version         "6.2.5">  
-<!ENTITY mutt-version              "1.4.2.1i"> 
-<!ENTITY pine-version              "4.60">  
-<!ENTITY slrn-version              "0.9.8.0"> 
-                                  
-<!-- Part VI -->            
-<!-- Chapter 21 -->
-<!ENTITY postfix-version "2.1.1">
-<!ENTITY sendmail-version "8.12.10">
-<!ENTITY exim-version "4.24">
-<!ENTITY qpopper-version "4.0.5">
-<!ENTITY courier-version "0.45.5">
-
-<!-- Chapter 22 -->
-<!-- bind (chapter 19) -->
-<!-- cvs (chapter 18) -->
-<!-- dhcp (chapter 14) -->
-<!ENTITY leafnode-version "1.9.43">
-<!-- openssh (chapter 18) -->
-<!-- rsync (chaptet 18) -->
-<!ENTITY openldap-version "2.1.30">
-<!ENTITY samba3-version "3.0.4">
-<!ENTITY xinetd-version "2.3.13">
-
-<!-- Part VII -->            
-<!-- Chapter 23 -->
-<!ENTITY db-version                "4.2.52.2">  
-<!ENTITY db-3.3-version            "3.3.11">  
-<!ENTITY mysql-version             "4.0.20">   
-<!ENTITY postgresql-version        "7.4.2"> 
-
-<!-- Chapter 24 -->
-<!ENTITY apache-version            "2.0.49">  
-<!ENTITY php-version               "4.3.6">  
-<!ENTITY proftpd-version           "1.2.9">  
-
-<!--   Part VIII -->            
-<!-- Chapter 25 -->
-<!-- Chapter 26 -->
+<!ENTITY nail-version                 "10.7"> 
+<!ENTITY procmail-version             "3.22">  
+<!ENTITY fetchmail-version            "6.2.5">  
+<!ENTITY mutt-version                 "1.4.2.1i"> 
+<!ENTITY pine-version                 "4.60">  
+<!ENTITY slrn-version                 "0.9.8.0"> 
+                                  
+<!-- Part VI -->                     
+<!-- Chapter 21 -->                  
+<!ENTITY postfix-version              "2.1.1">
+<!ENTITY sendmail-version             "8.12.10">
+<!ENTITY exim-version                 "4.24">
+<!ENTITY qpopper-version              "4.0.5">
+<!ENTITY courier-version              "0.45.5">
+                                     
+<!-- Chapter 22 -->                  
+<!-- bind (chapter 19) -->           
+<!-- cvs (chapter 18) -->            
+<!-- dhcp (chapter 14) -->           
+<!ENTITY leafnode-version             "1.9.43">
+<!-- openssh (chapter 18) -->        
+<!-- rsync (chaptet 18) -->          
+<!ENTITY openldap-version             "2.1.30">
+<!ENTITY samba3-version               "3.0.4">
+<!ENTITY xinetd-version               "2.3.13">
+                                     
+<!-- Part VII -->                    
+<!-- Chapter 23 -->                  
+<!ENTITY db-version                   "4.2.52.2">  
+<!ENTITY db-3.3-version               "3.3.11">  
+<!ENTITY mysql-version                "4.0.20">   
+<!ENTITY postgresql-version           "7.4.2"> 
+                                     
+<!-- Chapter 24 -->                  
+<!ENTITY apache-version               "2.0.49">  
+<!ENTITY php-version                  "4.3.6">  
+<!ENTITY proftpd-version              "1.2.9">  
+                                     
+<!--   Part VIII -->                 
+<!-- Chapter 25 -->                  
+<!ENTITY xorg-version                 "6.7.0"> 
+<!ENTITY xfree86-version              "4.4.0">   
+                                     
+<!-- Chapter 26 -->                  
+<!ENTITY qt-version                   "3.3.2"> 
+<!ENTITY GTK-version                  "1.2.10"> 
+<!ENTITY Pango-version                "1.4.0">   
+<!ENTITY ATK-version                  "1.6.1"> 
+<!ENTITY GTK2-version                 "2.4.1"> 
+<!ENTITY lesstif-version              "0.93.94">   
+<!ENTITY startup-notification-version "0.6">   
+<!ENTITY shared-mime-info-version     "0.14">   
+<!ENTITY hicolor-icon-theme-version   "0.5"> 
+<!ENTITY libxklavier-version          "1.02">  
+
+<!-- Chapter 27 -->
+<!ENTITY sawfish-version              "1.3">  
+<!ENTITY fluxbox-version              "0.1.14"> 
+<!ENTITY metacity-version             "2.8.0">  
+<!ENTITY xfce-version                 "4.0.4">  
 
 <!-- Part IX -->
 <!-- Chapter 28 -->
-<!ENTITY kde-version "3.2.2">
-<!ENTITY arts-version "1.2.2">
-<!ENTITY kde-dldir "&kde-version;">
-<!ENTITY kde-download-http "http://mirrors.isc.org/pub/kde/stable/&kde-dldir;/src">
-<!ENTITY kde-download-ftp "ftp://ftp.kde.org/pub/kde/stable/&kde-dldir;/src">
-<!ENTITY kde-dir "$KDE_PREFIX">
-
-<!-- Chapter 29 -->
-<!ENTITY kdevelop-version "3.0.3">
-
-
-<!ENTITY gnome-version     "2.6">
-<!ENTITY docbook-dsssl-version "1.78">
-
+<!ENTITY kde-version                  "3.2.2">
+<!ENTITY arts-version                 "1.2.2">
+<!ENTITY kde-dldir                    "&kde-version;">
+<!ENTITY kde-download-http            "http://mirrors.isc.org/pub/kde/stable/&kde-dldir;/src">
+<!ENTITY kde-download-ftp             "ftp://ftp.kde.org/pub/kde/stable/&kde-dldir;/src">
+<!ENTITY kde-dir                      "$KDE_PREFIX">
+                                   
+<!-- Chapter 29 -->                
+<!ENTITY kdevelop-version             "3.0.3">
+                                   
+                                   
+<!ENTITY gnome-version                "2.6">
+<!ENTITY docbook-dsssl-version        "1.78">
+
